//
// Vertex shader for drawing drawing a toy ball
//
// Author: OGLSL implementation by Someone
//
// Copied directly from the OrangeBook
//

varying vec4 ECposition;    // surface position in eye coords
varying vec4 ECballCenter;  // ball center in eye coords
uniform vec4 BallCenter;    // ball center in modelling coords

void main(void)
{
    ECposition   = gl_ModelViewMatrix * gl_Vertex;
    ECballCenter = gl_ModelViewMatrix * BallCenter;
    gl_Position  = ftransform();
}